Page MenuHomePhabricator

[BUG] Handle footer menu icon style correctly
Closed, ResolvedPublicBUG REPORT

Description

This is an issue about mobile-html

Steps to reproduce

  1. Open any article in either Traditional Chinese or Simplified Chinese
  2. Scroll down to the bottom to see the "About this article" section

Expected

Actual

I found that the <body> tag in Chinese articles do not include dir="ltr", which does not match any style settings in the page-library

Please see: https://github.com/wikimedia/wikimedia-page-library/blob/master/src/transform/FooterMenu.css#L22-L25

This can be solved either in wikimedia-page-library or Page Content Service.
cc @JoeWalsh @bearND @MSantos

Event Timeline

cooltey created this task.Aug 6 2019, 11:33 PM
Restricted Application changed the subtype of this task from "Task" to "Bug Report". · View Herald Transcript
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
cooltey updated the task description. (Show Details)Aug 6 2019, 11:57 PM
LGoto triaged this task as Normal priority.Aug 7 2019, 3:37 PM
LGoto moved this task from Needs triage to Upcoming on the Product-Infrastructure-Team-Backlog board.

Change 529822 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/services/mobileapps@master] mobile-html: fix footer menu icon style

https://gerrit.wikimedia.org/r/529822

Change 529822 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] mobile-html: fix footer menu icon style

https://gerrit.wikimedia.org/r/529822

Mentioned in SAL (#wikimedia-operations) [2019-08-15T17:41:28Z] <mbsantos@deploy1001> Started deploy [mobileapps/deploy@1bd2bea]: Update service-mobileapp-node to 5c1da03 (T230067 T229984)

Mentioned in SAL (#wikimedia-operations) [2019-08-15T17:47:21Z] <mbsantos@deploy1001> Finished deploy [mobileapps/deploy@1bd2bea]: Update service-mobileapp-node to 5c1da03 (T230067 T229984) (duration: 05m 53s)

MSantos closed this task as Resolved.Sep 18 2019, 4:13 PM
MSantos removed a project: Patch-For-Review.
Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.Sep 19 2019, 8:27 AM